wxWidgets: wxGridStringTable Class Reference

| Version: 3.1.5

Public Member Functions | List of all members
wxGridStringTable Class Reference

`#include </home/Hamis/wxwidgets-3.1/wxWidgets3.1-3.1.5-1.i686/src/wxWidgets-3.1.5/interface/wx/grid.h>`

## Detailed Description

Simplest type of data table for a grid for small tables of strings that are stored in memory.

The number of rows and columns in the table can be specified initially but may also be changed later dynamically.

## Public Member Functions
| wxGridStringTable ()
| Default constructor creates an empty table. More...
| wxGridStringTable (int numRows, int numCols)
| Constructor taking number of rows and columns. More...
virtual int | GetNumberRows ()
virtual int | GetNumberCols ()
virtual wxString | GetValue (int row, int col)
virtual void | SetValue (int row, int col, const wxString &s)
void | Clear ()
bool | InsertRows (size_t pos=0, size_t numRows=1)
bool | AppendRows (size_t numRows=1)
bool | DeleteRows (size_t pos=0, size_t numRows=1)
bool | InsertCols (size_t pos=0, size_t numCols=1)
bool | AppendCols (size_t numCols=1)
bool | DeleteCols (size_t pos=0, size_t numCols=1)
void | SetRowLabelValue (int row, const wxString &)
void | SetColLabelValue (int col, const wxString &)
void | SetCornerLabelValue (const wxString &)
wxString | GetRowLabelValue (int row)
wxString | GetColLabelValue (int col)
wxString | GetCornerLabelValue () const

## Constructor & Destructor Documentation

## ◆ wxGridStringTable() [1/2]

wxGridStringTable::wxGridStringTable | ( |  | ) |

Default constructor creates an empty table.

## ◆ wxGridStringTable() [2/2]

wxGridStringTable::wxGridStringTable | ( | int | numRows,
|  | int | numCols
| ) |  |

Constructor taking number of rows and columns.

## Member Function Documentation

## ◆ AppendCols()

bool wxGridStringTable::AppendCols | ( | size_t | numCols = `1` | ) |

## ◆ AppendRows()

bool wxGridStringTable::AppendRows | ( | size_t | numRows = `1` | ) |

## ◆ Clear()

void wxGridStringTable::Clear | ( |  | ) |

## ◆ DeleteCols()

bool wxGridStringTable::DeleteCols | ( | size_t | pos = `0`,
|  | size_t | numCols = `1`
| ) |  |

## ◆ DeleteRows()

bool wxGridStringTable::DeleteRows | ( | size_t | pos = `0`,
|  | size_t | numRows = `1`
| ) |  |

## ◆ GetColLabelValue()

wxString wxGridStringTable::GetColLabelValue | ( | int | col | ) |

## ◆ GetCornerLabelValue()

wxString wxGridStringTable::GetCornerLabelValue | ( |  | ) | const

## ◆ GetNumberCols()

virtual int wxGridStringTable::GetNumberCols | ( |  | ) |
| virtual

## ◆ GetNumberRows()

virtual int wxGridStringTable::GetNumberRows | ( |  | ) |
| virtual

## ◆ GetRowLabelValue()

wxString wxGridStringTable::GetRowLabelValue | ( | int | row | ) |

## ◆ GetValue()

virtual wxString wxGridStringTable::GetValue | ( | int | row,
|  | int | col
| ) |  |
| virtual

## ◆ InsertCols()

bool wxGridStringTable::InsertCols | ( | size_t | pos = `0`,
|  | size_t | numCols = `1`
| ) |  |

## ◆ InsertRows()

bool wxGridStringTable::InsertRows | ( | size_t | pos = `0`,
|  | size_t | numRows = `1`
| ) |  |

## ◆ SetColLabelValue()

void wxGridStringTable::SetColLabelValue | ( | int | col,
|  | const wxString & |
| ) |  |

## ◆ SetCornerLabelValue()

void wxGridStringTable::SetCornerLabelValue | ( | const wxString & |  | ) |

## ◆ SetRowLabelValue()

void wxGridStringTable::SetRowLabelValue | ( | int | row,
|  | const wxString & |
| ) |  |

## ◆ SetValue()

virtual void wxGridStringTable::SetValue | ( | int | row,
|  | int | col,
|  | const wxString & | s
| ) |  |
| virtual